#include <arduino.h>
#include "seg7.h"

const int pinA = 8;
const int pinB = 7;
const int pinC = 6;
const int pinD = 5;
const int pinE = 4;
const int pinF = 3;
const int pinG = 2;
const int pinDp = 9;

void seg7_setup( void ) 
{ 
  pinMode(pinA, OUTPUT);
  pinMode(pinB, OUTPUT);
  pinMode(pinC, OUTPUT);
  pinMode(pinD, OUTPUT);
  pinMode(pinE, OUTPUT);
  pinMode(pinF, OUTPUT);   
  pinMode(pinG, OUTPUT); 
  pinMode(pinDp, OUTPUT);            
}

void seg7_print( int i )
{
  switch( i ) {
    case 0:
      digitalWrite(pinA, HIGH);
      digitalWrite(pinB, HIGH);
      digitalWrite(pinC, HIGH);
      digitalWrite(pinD, HIGH);
      digitalWrite(pinE, HIGH);
      digitalWrite(pinF, HIGH);   
      digitalWrite(pinG, LOW);
      digitalWrite(pinDp, LOW);
      break;

    case 1:
      digitalWrite(pinA, LOW);
      digitalWrite(pinB, HIGH);
      digitalWrite(pinC, HIGH);
      digitalWrite(pinD, LOW);
      digitalWrite(pinE, LOW);
      digitalWrite(pinF, LOW);   
      digitalWrite(pinG, LOW);
      digitalWrite(pinDp, LOW);
      break;

    case 8:
      digitalWrite(pinA, HIGH);
      digitalWrite(pinB, HIGH);
      digitalWrite(pinC, HIGH);
      digitalWrite(pinD, HIGH);
      digitalWrite(pinE, HIGH);
      digitalWrite(pinF, HIGH);   
      digitalWrite(pinG, HIGH); 
      digitalWrite(pinDp, LOW);
      break;

    case 9:
      digitalWrite(pinA, HIGH);
      digitalWrite(pinB, HIGH);
      digitalWrite(pinC, HIGH);
      digitalWrite(pinD, HIGH);
      digitalWrite(pinE, LOW);
      digitalWrite(pinF, HIGH);   
      digitalWrite(pinG, HIGH); 
      digitalWrite(pinDp, LOW);
      break;

    default:
      digitalWrite(pinA, LOW);
      digitalWrite(pinB, LOW);
      digitalWrite(pinC, LOW);
      digitalWrite(pinD, LOW);
      digitalWrite(pinE, LOW);
      digitalWrite(pinF, LOW);   
      digitalWrite(pinG, LOW); 
      digitalWrite(pinDp, HIGH);  
  }
} 

